--[[
Uses the dkp values from value_table.lua to display them in the ingame tooltip.
Remember to name the file precisely and regularly update it!

To update it manually, you need to export the dkp_values_raw tab in the guild
spreadsheet as a JSON.
(See for instructions:
http://blog.pamelafox.org/2013/06/exporting-google-spreadsheet-as-json.html )

Paste the result into dkpvalues.json and run convert_json_to_lua.cpython-37.pyc
If you don't trust me, the source code is included in the addon files.
--]]
BINDING_HEADER_DKP = "In Memory DKP";

-- takes information about a specific item and returns a formatted string for the tooltip
function format_tooltip(information)
  ranking = string.format("|c0099ccffRanking: %s - Value: %i DKP", information["final"] or "",
  ranking_to_dkp(information["final"]))
  return ranking
end

GameTooltip:HookScript("OnTooltipSetItem", function(tooltip, ...)
  local itemname, itemlink = tooltip:GetItem()
  
  if itemlink then

	information = search_for_item(itemlink:match("item:(%d+):"))
  
  end

  if information then

    ranking = string.format("|c0099ccff In Memory DKP Price: %s DKP", information)

    tooltip:AddLine(ranking)
  end
end)
